Subject: Re: bug#13567: 24.1; New remember back-end for storing data in multiple files

From: Josh <[email-masked]>
Date: Sat, 27 Apr 2013 08:38:09 -0700

On Fri, Apr 26, 2013 at 4:57 PM, Reuben Thomas <[email-masked]> wrote:

> On 26 April 2013 01:51, Glenn Morris <[email-masked]> wrote:
>
>> Shouldn't remember-data-directory default to
>> (locate-user-emacs-file "remember")?
>>
>
> No: these are ordinary text files, not Emacs configuration files, and
> shouldn't be hidden away in a configuration directory.
>

The form Glenn suggested would place remember-data-directory under
user-emacs-directory, which is documented to contain "additional per-user
Emacs-specific files", not merely configuration files.  It's better to make
this the default location instead of cluttering up users' home directories,
especially with non-hidden files, without their permission.  See also bug
13870 for a recent precedent.